<div class="module new-thread">

    <form *ngIf="form" [formGroup]="form" (submit)="submit()">

        <input
        *mrFormControl
        mrFormControlValidation
        type="text"
        name="title"
        class="input-title"
        placeholder="Título"
        formControlName="title">

        <textarea
        *mrFormControl
        mrFormControlValidation
        mrFormControlTypeLimit
        placeholder="Resumen"
        formControlName="summary"></textarea>

        <hr>

        <select
        *mrFormControl
        class="bordered"
        formControlName="format">
            <option [value]="formats.Rol">{{formats.Rol}}</option>
            <option [value]="formats.Fanfic">{{formats.Fanfic}}</option>
        </select>
        <p class="help"><i class="las la-question-circle"></i> El formato fanfic muestra sólo una respuesta por página.</p>

        <mr-editor
        *mrFormControl
        mrFormControlValidation
        [toolbarButtons]="toolbar.FULL"
        formControlName="body"
        (onchange)="debounce()" #body></mr-editor>

        <mr-multi-input
        formControlName="tags"
        placeholder="Escribe tu etiqueta y presiona ENTER"></mr-multi-input>

        <mr-switch
        formControlName="restricted"
        label="Restringir Participación"
        help="Si activas esta opción, solo podrán comentar las personas que tú invites."></mr-switch>

        <div class="footer-buttons">

            <a mr-button *ngIf="id$ | async as id"
            class="primary reverse"
            [routerLink]="id | threadUrl">
                Cancelar
            </a>

            <button mr-button
            [class.disabled]="form.invalid"
            [loading]="loading$ | async"
            type="submit"
            class="primary"
            title="Guardar">
                Guardar
            </button>

        </div>
    </form>

</div>
